# -*- coding: utf-8 -*-
# Copyright (c) 2021, JINGROW
# For license information, please see license.txt


import jingrow


def execute():
	jingrow.reload_pg("jcloud", "pagetype", "app")
	apps = jingrow.get_all("App", ["name", "_title"], {"title": ("is", "not set")})
	for app in apps:
		jingrow.db.set_value("App", app.name, "title", app._title)
